Announcement

Collapse
No announcement yet.

Setting up for AR v4.18

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Setting up for AR v4.18

    Hi
    I am using Unreal 4.18.1 .
    I am new with Unreal and I have never done anything for mobile yet via Unreal.
    I have installed Android studio 3.0, and used SDK for Unity so that should work, but does Unreal use something different?

    How much come with Unreal and what do I need to install? In Unreal Project settings I can mark "Start in AR" ?
    Still in Project settings I can find "Platforms" and there are some different Android options, SDK etc.,

    In other words how much of these steps are still up to date with UE4.18.1:
    https://developers.google.com/ar/dev...etting-started

    Do I still need to download from github or can I skip some of the steps?



    #2
    Android Studio 3.0 will install incompatible SDK platform tools. It is best to use the CodeWorks for Android installer (1r6u1) in Engine/Extras. For AR you'll also need to install Android SDK platform 24 with android.bat. The instructions to set the NDK API level to 24 are wrong, however. Leave NDK API level set to android-19 and change SDK API level to android-24 instead.

    Comment


      #3
      Thx, and sorry I am a noob: where do I find "CodeWorks for Android installer (1r6u1) in Engine/Extras"?


      BTW: Under plugins I saw that you can enable ARkit/ARcore.

      Comment


        #4
        Look in the directory where the engine is installed. Engine/Extras/AndroidWorks/Win64/CodeWorksforAndroid-1R6u1-windows.exe for Windows. ARKit is iOS and ARCore is Google (Android).

        Comment

        Working...
        X